from django.shortcuts import render
from django.http import HttpResponse

from .models import Url

# Create your views here.

def index(request):
    L = Url.objects.all()
    output = ', '.join([u.target for u in L])
    return HttpResponse(output)

def redir(request, url_id):
    return HttpResponse("You're following URL {}.".format(url_id))

def url(request, url_id):
    u = Url.objects.get(id=url_id)
    return HttpResponse("URL {} goes to {}.".format(url_id, u.target))
